Magick++: Magick::DrawableTextDecoration Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableTextDecoration Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableTextDecoration:
[legend]
Collaboration diagram for Magick::DrawableTextDecoration:
[legend]

## Public Member Functions
| DrawableTextDecoration (DecorationType decoration_)
| DrawableTextDecoration (const DrawableTextDecoration &original_)
| ~DrawableTextDecoration (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | decoration (DecorationType decoration_)
DecorationType | decoration (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 2113 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableTextDecoration() [1/2]

Magick::DrawableTextDecoration::DrawableTextDecoration | ( | Magick::DecorationType | decoration_ | ) |

Definition at line 1545 of file Drawable.cpp.

## ◆ DrawableTextDecoration() [2/2]

Magick::DrawableTextDecoration::DrawableTextDecoration | ( | const DrawableTextDecoration & | original_ | ) |

Definition at line 1550 of file Drawable.cpp.

## ◆ ~DrawableTextDecoration()

Magick::DrawableTextDecoration::~DrawableTextDecoration | ( | void |  | ) |

Definition at line 1555 of file Drawable.cpp.

## Member Function Documentation

## ◆ copy()

Magick::DrawableBase * Magick::DrawableTextDecoration::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1563 of file Drawable.cpp.

## ◆ decoration() [1/2]

void Magick::DrawableTextDecoration::decoration | ( | DecorationType | decoration_ | ) |
| inline

Definition at line 2128 of file Drawable.h.

## ◆ decoration() [2/2]

DecorationType Magick::DrawableTextDecoration::decoration | ( | void |  | ) | const
| inline

Definition at line 2132 of file Drawable.h.

## ◆ operator()()

void Magick::DrawableTextDecoration::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1559 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp